﻿using System;
using System.Diagnostics;
using System.Numerics;
using System.Windows.Forms;
using ParaScitaniPoli;

namespace Faktorial
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnCalcl_Click(object sender, EventArgs e)
        {
            var text = txtN.Text;
            var n = BigInteger.Parse(text);
            BigInteger vysl=0;
            var s = new Stopwatch();
            s.Start();
            if (rbPar.Checked)
            {
                s.Start();
                if (chkTest.Checked)
                {
                    TestClass test = new TestClass();
                    test.TestFuntion(Faktorial.ParalelFaktorial, n);
                    test.TimeResultsToFile("Paralelní");
                }
                else
                {
                    vysl = Faktorial.ParalelFaktorial(n);
                }
                s.Stop();
                lblCas.Text = s.Elapsed.ToString();
                //richTextBox1.Text = vysl.ToString();
            }
            else
            {
                s.Start();
                if (chkTest.Checked)
                {
                    TestClass test = new TestClass();
                    test.TestFuntion(Faktorial.SerFaktorial, n);
                    test.TimeResultsToFile("Serial");
                }
                vysl = Faktorial.SerFaktorial(n);
                s.Stop();
                lblCas.Text = s.Elapsed.ToString();
                //richTextBox1.Text = vysl.ToString();
            }
        }
    }
}